using System.Diagnostics;
using System.Runtime.InteropServices;
using System.Text;

namespace WinFormsApp1
{
    public partial class Form1 : Form
    {
        [DllImport("user32.dll")]
        static extern bool SetForegroundWindow(IntPtr hWnd);
        [DllImport("user32.dll", CharSet = CharSet.Auto, SetLastError = true)]
        static extern int GetWindowText(IntPtr hWnd, StringBuilder lpString, int nMaxCount);

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            System.Windows.Forms.Timer t = new System.Windows.Forms.Timer();
            t.Interval = 1000;
            t.Tick += (s, ev) =>
            {
                t.Stop();
                
                Process p = Process.Start("WinFormsApp2.exe");
                p.WaitForInputIdle();

                System.Diagnostics.Trace.WriteLine("Waited");

                StringBuilder sb = new StringBuilder(4096);
                while (true)
                {
                    IntPtr ptr = p.MainWindowHandle;
                    GetWindowText(ptr, sb, sb.Capacity);
                    if (sb.Length != 0)
                    {
                        break;
                    }

                    Thread.Sleep(16);
                }

                Thread.Sleep(100);
                SetForegroundWindow(this.Handle); 
            };
            t.Start();
        }
    }
}